#
# Conditional build:
%bcond_without	python2		# CPython 2.x module
%bcond_without	python3		# CPython 3.x module
%bcond_without	tests		# tests [sensitive to pytest warnings or other output changes]
%bcond_with	tests_py2	# tests with Python 2 [requiring source code of some modules + the above]

Summary:	py.test distributed testing plugin
Summary(pl.UTF-8):	Wtyczka py.test do testów rozproszonych
Name:		python-pytest-xdist
Version:	1.24.1
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pytest-xdist/
Source0:	https://files.pythonhosted.org/packages/source/p/pytest-xdist/pytest-xdist-%{version}.tar.gz
# Source0-md5:	ddc75561ff46a89ef7e222e8353b2925
URL:		https://github.com/pytest-dev/pytest-xdist
%if %{with python2}
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
BuildRequires:	python-setuptools_scm
%if %{with tests_py2}
BuildRequires:	python-execnet >= 1.1
BuildRequires:	python-filelock
BuildRequires:	python-pexpect >= 3
BuildRequires:	python-py >= 1.4.22
BuildRequires:	python-pytest >= 3.0.0
BuildRequires:	python-pytest-forked
BuildRequires:	python-six
BuildConflicts:	python-pytest-capturelog
%endif
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.4
BuildRequires:	python3-setuptools
BuildRequires:	python3-setuptools_scm
%if %{with tests}
BuildRequires:	python3-execnet >= 1.1
BuildRequires:	python3-filelock
BuildRequires:	python3-pexpect >= 3
BuildRequires:	python3-py >= 1.4.22
BuildRequires:	python3-pytest >= 3.0.0
BuildRequires:	python3-pytest-forked
BuildRequires:	python3-six
BuildConflicts:	python-pytest-capturelog
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The pytest-xdist plugin extends py.test with some unique test
execution modes, like parallelization.

%description -l pl.UTF-8
Wtyczka pytest-xdist rozszerza py.test o kilka unikatowych
trybów wykonywania testów, jak choćby zrównoleglenie.

%package -n python3-pytest-xdist
Summary:	py.test distributed testing plugin
Summary(pl.UTF-8):	Wtyczka py.test do testów rozproszonych
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.4

%description -n python3-pytest-xdist
The pytest-xdist plugin extends py.test with some unique test
execution modes, like parallelization.

%description -n python3-pytest-xdist -l pl.UTF-8
Wtyczka pytest-xdist rozszerza py.test o kilka unikatowych
trybów wykonywania testów, jak choćby zrównoleglenie.

%prep
%setup -q -n pytest-xdist-%{version}

%build
%if %{with python2}
%py_build

%if %{with tests_py2}
PYTHONPATH=$(pwd) \
%{__python} -m pytest testing
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
PYTHONPATH=$(pwd) \
%{__python3} -m pytest testing
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGELOG.rst ISSUES.txt LICENSE OVERVIEW.md README.rst example/boxed.txt
%{py_sitescriptdir}/xdist
%{py_sitescriptdir}/pytest_xdist-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-pytest-xdist
%defattr(644,root,root,755)
%doc CHANGELOG.rst ISSUES.txt LICENSE OVERVIEW.md README.rst example/boxed.txt
%{py3_sitescriptdir}/xdist
%{py3_sitescriptdir}/pytest_xdist-%{version}-py*.egg-info
%endif
%changelog
* Sun Dec 02 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pytest-xdist.git;a=log;h=master

* Sun Dec 02 2018 Jakub Bogusz <qboosh@pld-linux.org> 0ce966a
- updated to 1.24.1

* Wed Aug 01 2018 Jakub Bogusz <qboosh@pld-linux.org> 22462ed
- updated to 1.22.5

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 39f23b1
- release 2 (by relup.sh)

* Sun Mar 12 2017 Jakub Bogusz <qboosh@pld-linux.org> bc624dc
- py3 tests now have chances to pass

* Sun Mar 12 2017 Jakub Bogusz <qboosh@pld-linux.org> d7869a7
- new, ModuleNotFoundError patch resolves only one of a few tests problems

